<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\Dokumente\DokumenteDownload;

class DokumenteDownloadUseCase extends \Kufer\KuferTools\Basis\Dokumente\DokumenteDownload\DokumenteDownloadUseCase
{
  public static function getToolSectionId()
  {
    return 756;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_DOKUMENTE_TN;
  }

  protected function getDatDocObject()
  {
    $user = $this->getUser();

    $datDoc = parent::getDatDocObject();
    if ($user->tnr > 0) {
      $datDoc->freigabe_tn_tools = true;
      $datDoc->nr = $user->tnr;
      $datDoc->typen = implode(',', \DatDocAPI::getDatDocDocumentTypes4Teilnehmer());
    }

    return $datDoc;
  }
}